# Task One

What do you have to fix?
* Some annotations are missing (entities or relationship between them e.g., OneToOne, ManyToOne,setter and getter, etc)
    * E.g., fix the relationship between Order and User. 
* Some entities are broken
    * E.g., category entity
    
**Acceptance criteria:** Project is compilable

# Task Two

In this task you should write a DAO class using a simple JPQL query using Entity Manager (em). 
* Create UserDao class.
* In UserDao, implement `findByUsername` method which creates a query to find a user by its name.

**Acceptance criteria:** `UserDaoTest` tests pass. Simply put, project build (`mvn package`) successfully finishes.